package vc.thinker.forwardthinker;

import com.alibaba.fastjson.JSONArray;
import com.alibaba.fastjson.JSONObject;
import lombok.extern.slf4j.Slf4j;
import org.springframework.boot.autoconfigure.condition.ConditionalOnBean;
import org.springframework.stereotype.Component;
import vc.thinker.absctacts.mqtt.protocol.AbstractNotSubscriptionMqttProtocol;
import vc.thinker.forwardthinker.dto.ThinkerReportDTO;
import vc.thinker.forwardthinker.enums.FoxGatewayTopicDefinition;
import vc.thinker.mqtt.config.ThinkerMqttConnectionProperties;

import java.util.List;

/**
 * 富士康数据转发新科云 客户端
 *
 * @author HeTongHao
 * @since 2022-06-28 16:00
 */
@Slf4j
@Component
@ConditionalOnBean(ThinkerMqttConnectionProperties.class)
public class ThinkerProdProtocolClient extends AbstractNotSubscriptionMqttProtocol {
    public ThinkerProdProtocolClient(ThinkerMqttConnectionProperties mqttConnectionProperties) {
        super(mqttConnectionProperties);
    }

    public void report(String protocolCode, ThinkerReportDTO dto) {
        super.getMqttCommandPush().sendMqttMessage(FoxGatewayTopicDefinition.report.genTopic(protocolCode), JSONObject.toJSONString(List.of(dto)).getBytes());
    }
}
